package com.hai.dao;

import com.hai.entity.HighTelOrder;
import com.hai.entity.HighTelOrderExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighTelOrderMapper extends HighTelOrderMapperExt {
    @SelectProvider(type=HighTelOrderSqlProvider.class, method="countByExample")
    long countByExample(HighTelOrderExample example);

    @DeleteProvider(type=HighTelOrderSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighTelOrderExample example);

    @Delete({
        "delete from high_tel_order",
        "where id = #{id,jdbcType=INTEGER}"
    })
    int deleteByPrimaryKey(Integer id);

    @Insert({
        "insert into high_tel_order (order_id, out_order_id, ",
        "mchid, tel, price, ",
        "`status`, pay_time, ",
        "create_time, update_time, ",
        "ext_1, ext_2, ext_3)",
        "values (#{orderId,jdbcType=VARCHAR}, #{outOrderId,jdbcType=VARCHAR}, ",
        "#{mchid,jdbcType=VARCHAR}, #{tel,jdbcType=VARCHAR}, #{price,jdbcType=DECIMAL}, ",
        "#{status,jdbcType=INTEGER}, #{payTime,jdbcType=TIMESTAMP}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighTelOrder record);

    @InsertProvider(type=HighTelOrderSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighTelOrder record);

    @SelectProvider(type=HighTelOrderSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER, id=true),
        @Result(column="order_id", property="orderId", jdbcType=JdbcType.VARCHAR),
        @Result(column="out_order_id", property="outOrderId", jdbcType=JdbcType.VARCHAR),
        @Result(column="mchid", property="mchid", jdbcType=JdbcType.VARCHAR),
        @Result(column="tel", property="tel", jdbcType=JdbcType.VARCHAR),
        @Result(column="price", property="price", jdbcType=JdbcType.DECIMAL),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_time", property="payTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighTelOrder> selectByExample(HighTelOrderExample example);

    @Select({
        "select",
        "id, order_id, out_order_id, mchid, tel, price, `status`, pay_time, create_time, ",
        "update_time, ext_1, ext_2, ext_3",
        "from high_tel_order",
        "where id = #{id,jdbcType=INTEGER}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER, id=true),
        @Result(column="order_id", property="orderId", jdbcType=JdbcType.VARCHAR),
        @Result(column="out_order_id", property="outOrderId", jdbcType=JdbcType.VARCHAR),
        @Result(column="mchid", property="mchid", jdbcType=JdbcType.VARCHAR),
        @Result(column="tel", property="tel", jdbcType=JdbcType.VARCHAR),
        @Result(column="price", property="price", jdbcType=JdbcType.DECIMAL),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_time", property="payTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighTelOrder selectByPrimaryKey(Integer id);

    @UpdateProvider(type=HighTelOrderSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighTelOrder record, @Param("example") HighTelOrderExample example);

    @UpdateProvider(type=HighTelOrderSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighTelOrder record, @Param("example") HighTelOrderExample example);

    @UpdateProvider(type=HighTelOrderSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighTelOrder record);

    @Update({
        "update high_tel_order",
        "set order_id = #{orderId,jdbcType=VARCHAR},",
          "out_order_id = #{outOrderId,jdbcType=VARCHAR},",
          "mchid = #{mchid,jdbcType=VARCHAR},",
          "tel = #{tel,jdbcType=VARCHAR},",
          "price = #{price,jdbcType=DECIMAL},",
          "`status` = #{status,jdbcType=INTEGER},",
          "pay_time = #{payTime,jdbcType=TIMESTAMP},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=INTEGER}"
    })
    int updateByPrimaryKey(HighTelOrder record);
}